Get Supervisor Resource By Id

Get Supervisor Resource By Id
Get supervisor resource by ID

Returns a supervisor resource with the specified ID.

Request
URI
GET
https://{vcfa-fqdn}/deployment/api/supervisor-resources/{id}
COPY
Path Parameters
string
id
Required  

id


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SupervisorResource of type(s) application/json
{
    "apiVersion": "string",
    "deployment": {
        "id": "string",
        "name": "string"
    },
    "id": "string",
    "kind": "string",
    "metadata": {
        "annotations": {},
        "creationTimestamp": "string",
        "deletionGracePeriodSeconds": 0,
        "deletionTimestamp": "string",
        "generation": 0,
        "labels": {},
        "name": "string",
        "namespace": "string",
        "resourceVersion": "string",
        "uid": "string"
    },
    "orgId": "string",
    "project": {
        "id": "string",
        "name": "string"
    }
}
string
apiVersion
Required   Read-Only  

API version of the resource

object
deployment
Read-Only  

Deployment id and name of the deployment to which the supervisor resource belongs

string As uuid As uuid
id
Required   Read-Only  

Supervisor resource id

string
kind
Required   Read-Only  

The kind of the resource

object
metadata
Required   Read-Only  

The metadata of the resource

string
orgId
Required   Read-Only  

Supervisor resource org id

object
project
Required   Read-Only  

Deployment id and name of the deployment to which the supervisor resource belongs


401

Unauthorized

Returns SupervisorResource of type(s) application/json
{
    "apiVersion": "string",
    "deployment": {
        "id": "string",
        "name": "string"
    },
    "id": "string",
    "kind": "string",
    "metadata": {
        "annotations": {},
        "creationTimestamp": "string",
        "deletionGracePeriodSeconds": 0,
        "deletionTimestamp": "string",
        "generation": 0,
        "labels": {},
        "name": "string",
        "namespace": "string",
        "resourceVersion": "string",
        "uid": "string"
    },
    "orgId": "string",
    "project": {
        "id": "string",
        "name": "string"
    }
}
string
apiVersion
Required   Read-Only  

API version of the resource

object
deployment
Read-Only  

Deployment id and name of the deployment to which the supervisor resource belongs

string As uuid As uuid
id
Required   Read-Only  

Supervisor resource id

string
kind
Required   Read-Only  

The kind of the resource

object
metadata
Required   Read-Only  

The metadata of the resource

string
orgId
Required   Read-Only  

Supervisor resource org id

object
project
Required   Read-Only  

Deployment id and name of the deployment to which the supervisor resource belongs


403

Forbidden

Returns SupervisorResource of type(s) application/json
"SupervisorResource Object"
string
apiVersion
Required   Read-Only  

API version of the resource

object
deployment
Read-Only  

Deployment id and name of the deployment to which the supervisor resource belongs

string As uuid As uuid
id
Required   Read-Only  

Supervisor resource id

string
kind
Required   Read-Only  

The kind of the resource

object
metadata
Required   Read-Only  

The metadata of the resource

string
orgId
Required   Read-Only  

Supervisor resource org id

object
project
Required   Read-Only  

Deployment id and name of the deployment to which the supervisor resource belongs


404

Not Found

Returns SupervisorResource of type(s) application/json
"SupervisorResource Object"
string
apiVersion
Required   Read-Only  

API version of the resource

object
deployment
Read-Only  

Deployment id and name of the deployment to which the supervisor resource belongs

string As uuid As uuid
id
Required   Read-Only  

Supervisor resource id

string
kind
Required   Read-Only  

The kind of the resource

object
metadata
Required   Read-Only  

The metadata of the resource

string
orgId
Required   Read-Only  

Supervisor resource org id

object
project
Required   Read-Only  

Deployment id and name of the deployment to which the supervisor resource belongs


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/deployment/api/supervisor-resources/{id}